plugins {
    kotlin("jvm") version "2.0.0"
    application
    distribution
}

application {
    mainClass.set("xyz.maxwellj.chookspeak.MainKt")
    layout.buildDirectory.dir("distributions/")
}

group = "xyz.maxwellj.chookspeak"
version = "0.0.1"

repositories {
    mavenCentral()
}

tasks.withType<Jar> {
    manifest {
        attributes["Main-Class"] = "xyz.maxwellj.chookspeak.MainKt"
    }
}

dependencies {
    testImplementation(kotlin("test"))
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(17)
}
